Package org.apache.commons.collections4

# Interface OrderedBidiMap<K,V>

Type Parameters:
  `K` - The type of the keys in the map.
  `V` - The type of the values in the map.

All Superinterfaces:
  `BidiMap<K,V>`, `Get<K,V>`, `IterableGet<K,V>`, `IterableMap<K,V>`, `Map<K,V>`, `OrderedMap<K,V>`, `Put<K,V>`

All Known Subinterfaces:
  `SortedBidiMap<K,V>`

All Known Implementing Classes:
  `AbstractOrderedBidiMapDecorator`, `AbstractSortedBidiMapDecorator`, `DualTreeBidiMap`, `TreeBidiMap`, `UnmodifiableOrderedBidiMap`, `UnmodifiableSortedBidiMap`

public interface OrderedBidiMap<K,V> extends BidiMap<K,V>, OrderedMap<K,V>
Defines a map that allows bidirectional lookup between key and values and retains and provides access to an ordering.

Implementations should allow a value to be looked up from a key and a key to be looked up from a value with equal performance.

Since:
  3.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OrderedBidiMap<V,K>`
  `inverseBidiMap()`
  Gets a view of this map where the keys and values are reversed.

  ### Methods inherited from interface org.apache.commons.collections4.BidiMap

  `getKey, put, removeValue, values`

  ### Methods inherited from interface org.apache.commons.collections4.Get

  `containsKey, containsValue, entrySet, get, isEmpty, keySet, remove, size, values`

  ### Methods inherited from interface java.util.Map

  `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size`

  ### Methods inherited from interface org.apache.commons.collections4.OrderedMap

  `firstKey, lastKey, mapIterator, nextKey, previousKey`

  ### Methods inherited from interface org.apache.commons.collections4.Put

  `clear, put, putAll`

- ## Method Details

  - ### inverseBidiMap

    OrderedBidiMap<V,K> inverseBidiMap()
    Gets a view of this map where the keys and values are reversed.

    Changes to one map will be visible in the other and vice versa. This enables both directions of the map to be accessed equally.

    Implementations should seek to avoid creating a new object every time this method is called. See `AbstractMap.values()` etc. Calling this method on the inverse map should return the original.

    Implementations must return an `OrderedBidiMap` instance, usually by forwarding to `inverseOrderedBidiMap()`.

    Specified by:
      `inverseBidiMap` in interface `BidiMap<K,V>`
    Returns:
      An inverted bidirectional map.